#include "GameBase.hpp"
#include "pgnp.hpp"

class PGNGameBase : public GameBase {
    pgnp::PGN *pgn;
    bool hasNextGame;

    void ParseNextGame();
public:
  PGNGameBase(std::string pgn_file);

  bool HasNextGame();
  Game *GetGame(std::uint32_t id) { return (new Game()); };
  Game *GetNextGame();
};